<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_7618fa2e44dd7c2" . "de26ed1413b53cdd" . "d" => base64_decode("Ly4uLy4u" . "Ly4uL3Nl" . "dHVw"), "_11def3af2a833468dd0e4ff1f0bc" . "5414" => base64_decode("Li4vY29yZS9ib290c3RyYXAuc" . "Ghw"), "_9342063570b40df2075204394b" . "59df59" => base64_decode("Z2V0" . "Y3dk"), "_b80082ca5a90f558" . "4462ab618a2fe9f7" => base64_decode("SW5zdGFsbGluZyB" . "hcHBsaWNhdGlvbi" . "BpbnN0ZWFk"), "_e13e80e20d331fa" . "ce5f56ce9d9be42c" . "d" => base64_decode("cmVzdG9yZV9lcnJvc" . "l9oYW5kbGVy"), "_dcf86ccc31af7f63af36115aa1" . "2b1ee7" => base64_decode("Y2hk" . "aXI="), "_dda96eb36c5664b9" . "e2bd434a776edb25" => base64_decode("L1BoaW5nTG9nZ2Vy" . "LnBocA=="), "_eb3d186008f" . "632a0f30f9ce" . "b2ecf5d9c" => base64_decode("cmVjb3Zlcg" . "=="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dda96eb36c5664b9e" . "2bd434a776edb25"];
use Claromentis\Setup\Exception\NotInstalledException;
use Claromentis\Setup\Util;




class DbUpdateTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9342063570" . "b40df207520" . "4394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_dcf86ccc31af" . "7f63af36115aa" . "12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7618fa2e44dd7c2de26" . "ed1413b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_11def3af2a833468dd0e4ff1f0bc5" . "414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e13e80e20d331face5f56ce9d9" . "be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Update();
            } catch (NotInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_eb3d186008f632a0f30f9ceb2ec" . "f5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b80082ca5a90f5584462ab6" . "18a2fe9f7"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Install();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_dcf86ccc31af7f63af36115a" . "a12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_dcf86ccc31af7f63a" . "f36115aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}